<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
  <div class="row">
    <div class="col-md-4">
      <div class="form-horizontal">
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="familytext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Family']}</ui:define>
          <h:inputText id="familytext" value="#{requestGenerator.family}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="idroottext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.LivingSubjectIdrootAssigningAuthority']})</ui:define>
          <h:inputText id="idroottext" value="#{requestGenerator.root}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="streetText"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Street']}</ui:define>
          <h:inputText id="streetText" value="#{requestGenerator.city}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="postalcodext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PostalCode']}</ui:define>
          <h:inputText id="postalcodext" value="#{requestGenerator.postalcode}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="extension"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PrincipalCareProviderIdextension']})</ui:define>
          <h:inputText id="extension" value="#{requestGenerator.principalCareProviderIdExtension}"
                       styleClass="form-control"/>
        </ui:decorate>
      </div>
    </div>
    <div class="col-md-4">
      <div class="form-horizontal">
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="giventext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Given']}</ui:define>
          <h:inputText id="giventext" value="#{requestGenerator.given}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="extensiontext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.LivingSubjectIdextension']})</ui:define>
          <h:inputText id="extensiontext" value="#{requestGenerator.extension}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="cityText"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.City']}</ui:define>
          <h:inputText id="cityText" value="#{requestGenerator.city}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="telecom"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Telecom']}</ui:define>
          <h:inputText id="telecom" value="#{requestGenerator.telecom}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="idRoot"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PrincipalCareProviderIdroot']})</ui:define>
          <h:inputText id="idRoot" value="#{requestGenerator.principalCareProviderIdRoot}"
                       styleClass="form-control"/>
        </ui:decorate>
      </div>
    </div>
    <div class="col-md-4">
      <div class="form-horizontal">
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="maidenNametext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MaidenName_2']}</ui:define>
          <h:inputText id="maidenNametext" value="#{requestGenerator.maidenname}"
                       styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="gender"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.GenderMF']})</ui:define>
          <h:selectOneMenu value="#{requestGenerator.gender}" styleClass="form-control gzl-form-control gzl-select-text">
              <f:selectItem itemValue="M" itemLabel="#{messages['net.ihe.gazelle.xdstar.M']}"/>
              <f:selectItem itemValue="F" itemLabel="#{messages['net.ihe.gazelle.xdstar.F']}"/>
          </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
          <ui:param name="id" value="countrytext"/>
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Country']}</ui:define>
          <h:inputText id="countrytext" value="#{requestGenerator.country}"
                       styleClass="form-control"/>
        </ui:decorate>
      </div>
    </div>
  </div>
  <div class="form-inline">
    <s:span>
      <s:decorate template="/layout/form/_edit.xhtml">
        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Birthdate']}</ui:define>
        <h:selectOneMenu value="#{requestGenerator.dateType}" styleClass="form-control gzl-form-control gzl-select-text">
          <s:selectItems value="#{requestGenerator.dateTypes}" var="dt" noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}" label="#{dt}"/>
          <a4j:ajax event="change" render="dates" execute="@this"/>
        </h:selectOneMenu>
      </s:decorate>
    </s:span>
    <s:span id="dates">
      <s:div rendered="#{requestGenerator.dateType.name() == 'EXACT_DATES'}">
        <s:decorate template="/layout/form/_edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Value']}</ui:define>
          <h:panelGrid columns="4">
            <h:inputText size="20" value="#{requestGenerator.birthdate}" styleClass="form-control"/>
            <gdk:spacer height="5px"/>
            <s:span styleClass="gzl-icon-question-circle" title ="#{messages['net.ihe.gazelle.xdstar.FormSHALLBeYYYYMMDDhhmmssSZ']}"/>
          </h:panelGrid>
        </s:decorate>
      </s:div>
      <s:div rendered="#{requestGenerator.dateType.name() == 'APPROXIMATE_DATES'}">
        <s:decorate template="/layout/form/_edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ApproximateBirthdate']}</ui:define>
          <h:panelGrid columns="4">
            <h:inputText size="20" value="#{requestGenerator.bdcenter}" styleClass="form-control"/>
            <gdk:spacer height="5px"/>
            <s:span styleClass="gzl-icon-question-circle" title ="#{messages['net.ihe.gazelle.xdstar.FormSHALLBeYYYYMMDDhhmmssSZ']}"/>
          </h:panelGrid>
        </s:decorate>
      </s:div>
      <s:div rendered="#{requestGenerator.dateType.name() == 'RANGE_DATES'}">
        <s:decorate template="/layout/form/_edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.LowRange']}</ui:define>
          <h:panelGrid columns="4">
            <h:inputText size="20" value="#{requestGenerator.bdlow}" styleClass="form-control"/>
            <gdk:spacer height="5px"/>
            <s:span styleClass="gzl-icon-question-circle" title ="#{messages['net.ihe.gazelle.xdstar.FormSHALLBeYYYYMMDDhhmmssSZ']}"/>
          </h:panelGrid>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HighRange']}</ui:define>
          <h:panelGrid columns="4">
            <h:inputText size="20" value="#{requestGenerator.bdhigh}" styleClass="form-control"/>
            <gdk:spacer height="5px"/>
            <s:span styleClass="gzl-icon-question-circle" title ="#{messages['net.ihe.gazelle.xdstar.FormSHALLBeYYYYMMDDhhmmssSZ']}"/>
          </h:panelGrid>
        </s:decorate>
      </s:div>
    </s:span>
  </div>
  <div class="form-horizontal">
    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
      <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SenderHomeCommunityID']}</ui:define>
      <rich:autocomplete mode="ajax" minChars="0" autofill="false" value="#{requestGenerator.senderHomeCommunityId}"
                         autocompleteMethod="#{manager.autocompleteListOfHomeCommunityID}" />
    </s:decorate>
    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
      <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ReceiverHomeCommunityID']}</ui:define>
      <rich:autocomplete mode="ajax" minChars="0" autofill="false" value="#{requestGenerator.receiverHomeCommunityId}"
                         autocompleteMethod="#{manager.autocompleteListOfHomeCommunityID}" />
    </s:decorate>
  </div>
</ui:composition>
